import "../stylesheets/PlantCard.css";
import { Link } from "react-router-dom";
import { Plant } from "../utils/schemas";

export default function PlantCard(props: any) {
  const plant: Plant = props.plant;
  
  return (
    <>
      <Link to={ `/pflanze/${plant.id}`} className="plantCardLink">
        <li className="plantCard shadow-light">
          <h2>{plant.name}</h2>
          <img src={plant.imageUrl} />
        </li>
      </Link>
    </>
  );
}
